<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

<?php while ( have_posts() ) : the_post(); ?>

        <?php //get_template_part( 'content', get_post_format() ); ?>

<div class="announcement-box">
 <h1> <?php the_title(); ?> </h1>
</div>
<div id="primary" class="site-content">
<div id="content" role="main">
<?php
if( has_post_thumbnail()){ ?>
<div class="post_thumbnail_holder" style="margin-bottom:20px;">
<?php the_post_thumbnail(array(635,320)); ?>
</div>
<?php } ?> 

    <?php the_content( '<span class="more-link">Continue Reading</span>'); ?>
    <div class="post_meta_info">
<?php
 $cat_name = get_category(get_query_var('cat'))->name; ?>
    <p style="padding-bottom:0px; line-height:18px;">Posted on <?php the_time('M j, Y'); ?> at <?php the_time('g:i a'); ?></p>
    <p style="padding-bottom:0px; line-height:18px;">Written by <?php the_author_posts_link(); ?>  </p>    
</div>
<p><?php the_tags(); ?></p>
            <!--<nav class="nav-single">
                    <h3 class="assistive-text"><?php _e( 'Post navigation', 'twentytwelve' ); ?></h3>
                    <span class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentytwelve' ) . '</span> %title' ); ?></span>
                    <span class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentytwelve' ) . '</span>' ); ?></span>
            </nav>--><!-- .nav-single -->

    <?php comments_template( '', true ); ?>

    <?php endwhile; // end of the loop. ?>

</div><!-- #content -->
</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>